# SessionManager Class Reference

`#include <sessionmanager.h>`

List of all members.

## Public Slots
void | checkSessDir (QString dir)
void | loadSession ()
void | retranslateUi ()
void | saveSession ()
void | searchSessions ()
void | setButtonsState ()
## Signals
void | sessionSaved ()
| signal session is saved
## Public Member Functions
| SessionManager (MainWindow *parent, PageCtrl *pageCtrl, ImportExport *importExport)
virtual | ~SessionManager ()
void | saveFilesAsSession (QString sessionName)
## Public Attributes
bool | openAutoSession
| flag open auto session at start-up
bool | saveAutoSession
| flag save auto session file
bool | saveSessionAsPrj
| flag auto session as project
bool | showErrorList
| flag show error list for sessions
## Private Slots
void | deleteSession ()
## Private Member Functions
bool | loadFilesFromSession ()
## Private Attributes
QString | sessDir
QString | autoSessDir
QString | msg_error_sessionopen
QString | msg_error_sessionsave
QString | msg_head_sessioncreate
MainWindow * | m_MainWindow
| instance of MainWindow class
PageCtrl * | m_PageCtrl
| instance of PageCtrl class
ImportExport * | m_ImportExport
| instance of ImportExport class

## Constructor & Destructor Documentation

SessionManager::SessionManager | ( | MainWindow * | parent,
|  | PageCtrl * | pageCtrl,
|  | ImportExport * | importExport |
| ) |  |  |

creating function

Parameters:

  | PageCtrl | class, ImportExport class

SessionManager::~SessionManager | ( |  | ) | `[virtual]`

virtual destructor

## Member Function Documentation

void SessionManager::checkSessDir | ( | QString | dir | ) | `[slot]`

check session directory, create path if not exists

void SessionManager::deleteSession | ( |  | ) | `[private, slot]`

delete selected session

bool SessionManager::loadFilesFromSession | ( |  | ) | `[private]`

load files of session list

void SessionManager::loadSession | ( |  | ) | `[slot]`

load selected slot

void SessionManager::retranslateUi | ( |  | ) | `[slot]`

retranslate Ui

void SessionManager::saveFilesAsSession | ( | QString | sessionName | ) |

save path information of all already save files from PageCtrl class

void SessionManager::saveSession | ( |  | ) | `[slot]`

save file links to actual pages as session

void SessionManager::searchSessions | ( |  | ) | `[slot]`

search session files in session directory

void SessionManager::sessionSaved | ( |  | ) | `[signal]`

signal session is saved

void SessionManager::setButtonsState | ( |  | ) | `[slot]`

set ok Button state if session list is not empty

## Member Data Documentation

QString SessionManager::autoSessDir`[private]`

ImportExport* SessionManager::m_ImportExport`[private]`

instance of ImportExport class

MainWindow* SessionManager::m_MainWindow`[private]`

instance of MainWindow class

PageCtrl* SessionManager::m_PageCtrl`[private]`

instance of PageCtrl class

QString SessionManager::msg_error_sessionopen`[private]`

QString SessionManager::msg_error_sessionsave`[private]`

QString SessionManager::msg_head_sessioncreate`[private]`

bool SessionManager::openAutoSession

flag open auto session at start-up

bool SessionManager::saveAutoSession

flag save auto session file

bool SessionManager::saveSessionAsPrj

flag auto session as project

QString SessionManager::sessDir`[private]`

bool SessionManager::showErrorList

flag show error list for sessions

The documentation for this class was generated from the following files:

- sessionmanager.h
- sessionmanager.cpp